Subject: Re: [PATCH 0/7] RFC: Accelerate xdiff and begin its rustification

From: Ben Knoble <[email-masked]>
Date: Fri, 25 Jul 2025 19:53:34 -0400

> Le 18 juil. 2025 à 06:15, Christian Brabandt <[email-masked]> a écrit :
> 
> 
>> On Do, 17 Jul 2025, Ezekiel Newren via GitGitGadget wrote:
>> This series accelerates xdiff by 5-19%.
>> It also introduces Rust as a hard dependency.
>> …and it doesn’t yet pass a couple of the github workflows; hints from
>> Windows experts, and opinions on ambiguous primitives would be appreciated
>> (see below).
>> This is just the beginning of many patches that I have to convert portions
>> of, maybe eventually all of, xdiff to Rust. While working on that
>> conversion, I found several ways to clarify the code, along with some
>> optimizations.
> 
> Just a quick heads-up: We (as in Vim/Neovim) have been using gits xdiff
> library for use in Vim and Neovim.
> 
> Is the plan to get rid of xdiffs C source completely and replace it by a
> Rust implementation?

Just a quick FYI about the other branch of this thread that might be relevant: there should remain at least one place to get a quality pure-C xdiff, but I think Vim getting a Rusty xdiff (or the possibility to “bring your own xdiff”) would be nice.

> 
> Thanks,
> Chris
> --
> Eine gute Stellung ist besser als jede Arbeit.